summaryrefslogtreecommitdiffstats
path: root/modules/run_unit_tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'modules/run_unit_tests.sh')
-rwxr-xr-xmodules/run_unit_tests.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/modules/run_unit_tests.sh b/modules/run_unit_tests.sh
new file mode 100755
index 000000000..df511ce0c
--- /dev/null
+++ b/modules/run_unit_tests.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+set -o errexit
+set -o pipefail
+
+# Either Workspace is set (CI)
+if [ -z $WORKSPACE ]
+then
+ WORKSPACE="."
+fi
+
+
+# ***************
+# Run unit tests
+# ***************
+echo "Running unit tests..."
+
+# start vitual env
+virtualenv $WORKSPACE/modules_venv
+source $WORKSPACE/modules_venv/bin/activate
+
+# install python packages
+easy_install -U setuptools
+easy_install -U pip
+pip install $WORKSPACE
+
+
+# unit tests
+nosetests --with-xunit \
+ --cover-package=opnfv \
+ --with-coverage \
+ --cover-xml \
+ --cover-html \
+ tests/unit
+rc=$?
+
+deactivate